otl2pdb(1)

NAME
otl2pdb - converts vimoutliner outline to AddressDB Palm file.

SYNOPSIS
otl2pdb [filename]

DESCRIPTION
This manual page documents briefly the otl2pdb Perl script.

otl2pdb is a perl(1) script that takes an outline from vimoutliner(1) with contact information and creates an AddressDB.pdb file for a Palm.

For now this script can only create a .pdb file. You then have to use a syncing tool to load it into your Palm. I recommend the pilot-link package for linux.

The format of the contact outline is the following:
    $category
        $record_name
            c:$cell
            a:$address
            ....

You can have as many categories and records(entries) as you want. The following are valid fields for a record with the necessary text to indicate them in quotes:
    'a:'-address
    'c:'-cell
    'e:'-email
    'h:'-home phone
    'n:'-note
    'web:'-website
    'w:'-work phone Also, each record's category is left as 'Unfiled' as I can't get the record's category to write correctly.

SEE ALSO
vim(1), perl(1)

REQUIREMENTS
This program uses the Palm::Address perl module, which is available on CPAN.

TIPS
If using the pilot-link package:
    -load the pdb with 'pilot-xfer -i AddressDB.pdb'
    -specify the serial port if other than /dev/pilot (which will usually be the case
    unless you link to it) with -p in the above command; usually this is /dev/ttyS0 in linux

AUTHOR
The original version was written by Gabriel Walker <cldwalker@chwhat.com>.

If you like using perl, linux, vim and databases to make your life easier (not lazier ;) check out my website at http://www.chwhat.com. (http://www.chwhat.com)

This manual page was written by Matej Cepl <matej@ceplovi.cz> (using perldoc(1) part of the documented script), for the Debian GNU/Linux system (but may be used by others).